testing::TestSuite Class Reference

`#include <gtest.h>`

## Public Member Functions

| TestSuite (const char *name, const char *a_type_param, internal::SetUpTestSuiteFunc set_up_tc, internal::TearDownTestSuiteFunc tear_down_tc)
virtual | ~TestSuite ()
const char * | name () const
const char * | type_param () const
bool | should_run () const
int | successful_test_count () const
int | skipped_test_count () const
int | failed_test_count () const
int | reportable_disabled_test_count () const
int | disabled_test_count () const
int | reportable_test_count () const
int | test_to_run_count () const
int | total_test_count () const
bool | Passed () const
bool | Failed () const
TimeInMillis | elapsed_time () const
const TestInfo * | GetTestInfo (int i) const
const TestResult & | ad_hoc_test_result () const

## Friends

class | Test
class | internal::UnitTestImpl

## Detailed Description

Definition at line 15429 of file gtest.h.

## Constructor & Destructor Documentation

## TestSuite()

testing::TestSuite::TestSuite | ( | const char * | name,
|  | const char * | a_type_param,
|  | internal::SetUpTestSuiteFunc | set_up_tc,
|  | internal::TearDownTestSuiteFunc | tear_down_tc
| ) |  |

## ~TestSuite()

virtual testing::TestSuite::~TestSuite | ( |  | ) |

virtual

## Member Function Documentation

## ad_hoc_test_result()

const TestResult& testing::TestSuite::ad_hoc_test_result | ( |  | ) | const

inline

Definition at line 15502 of file gtest.h.

## disabled_test_count()

int testing::TestSuite::disabled_test_count | ( |  | ) | const

## elapsed_time()

TimeInMillis testing::TestSuite::elapsed_time | ( |  | ) | const

inline

Definition at line 15494 of file gtest.h.

## Failed()

bool testing::TestSuite::Failed | ( |  | ) | const

inline

Definition at line 15491 of file gtest.h.

## failed_test_count()

int testing::TestSuite::failed_test_count | ( |  | ) | const

## GetTestInfo()

const TestInfo* testing::TestSuite::GetTestInfo | ( | int | i | ) | const

## name()

const char* testing::TestSuite::name | ( |  | ) | const

inline

Definition at line 15451 of file gtest.h.

## Passed()

bool testing::TestSuite::Passed | ( |  | ) | const

inline

Definition at line 15488 of file gtest.h.

## reportable_disabled_test_count()

int testing::TestSuite::reportable_disabled_test_count | ( |  | ) | const

## reportable_test_count()

int testing::TestSuite::reportable_test_count | ( |  | ) | const

## should_run()

bool testing::TestSuite::should_run | ( |  | ) | const

inline

Definition at line 15461 of file gtest.h.

## skipped_test_count()

int testing::TestSuite::skipped_test_count | ( |  | ) | const

## successful_test_count()

int testing::TestSuite::successful_test_count | ( |  | ) | const

## test_to_run_count()

int testing::TestSuite::test_to_run_count | ( |  | ) | const

## total_test_count()

int testing::TestSuite::total_test_count | ( |  | ) | const

## type_param()

const char* testing::TestSuite::type_param | ( |  | ) | const

inline

Definition at line 15455 of file gtest.h.

## Friends And Related Function Documentation

## internal::UnitTestImpl

friend class internal::UnitTestImpl

friend

Definition at line 15506 of file gtest.h.

## Test

friend class Test

friend

Definition at line 15505 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h